Redmine - Patch #36824

Allow to filter issues by its version status with shared versions
2022-03-22 12:16 - Holger Just

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Issues filter Estimated time: 0.00 hour
Target version:

Description

Right now, when filtering issues by the status if its assigned version, the search for eligible versions is restricted to the projects of the
issue query (i.e. the current project plus potentially selected su bprojects). The fixed version of an issue within the project sceope
however can be shared from a lot of other unrelated projects which are not in the scope for issues for the query (e.g. from any project
with the "system"” sharing).

The attached patch against the current trunk fixes the search for eligible versions to also show issues with a version from different
projects.

Related issues:
Related to Redmine - Feature #23215: Add the possibility to filter issues aft... Closed
Is duplicate of Redmine - Defect #30924: Filter on Target version's Status in... Closed

Associated revisions

Revision 21499 - 2022-03-24 17:52 - Marius BALTEANU

Allow to filter issues by its version status with shared versions (#36824, #30924).

Patch by Holger Just.

Revision 21500 - 2022-03-26 04:57 - Go MAEDA
Fix RuboCop offense Style/HashSyntax (Don't mix styles in the same hash) (#36824, #30924).

Revision 21501 - 2022-03-26 05:01 - Go MAEDA
Fix RuboCop offense Rails/RefuteMethods (#36824, #30924).

History

#1 - 2022-03-22 12:16 - Holger Just
- Related to Feature #23215: Add the possibility to filter issues after Target Version's Status and Due Date added

#2 - 2022-03-22 12:17 - Holger Just
This fixes #30924

#3 - 2022-03-22 12:17 - Holger Just

- Related to Defect #30924: Filter on Target version's Status in subproject doesn't work on version from top project added

#4 - 2022-03-22 12:22 - Marius BALTEANU
- Assignee set to Marius BALTEANU

- Target version set to 4.1.7

#5 - 2022-03-24 17:54 - Marius BALTEANU

- Related to deleted (Defect #30924: Filter on Target version's Status in subproject doesn't work on version from top project)

#6 - 2022-03-24 17:54 - Marius BALTEANU

- Is duplicate of Defect #30924: Filter on Target version's Status in subproject doesn't work on version from top project added

#7 - 2022-03-24 17:55 - Marius BALTEANU

- Status changed from New to Closed
- Target version deleted (4.1.7)

I'm closing this in favour of #30924.

Holger Just, I've committed the patch in r21499. Thank you!

Files

0001-Allow-to-check-for-shared-versions-with-fixed_versio.patch 2.98 KB 2022-03-22 Holger Just
